import { createTRPCProxyClient, httpBatchLink } from '@trpc/client';
/**
 * Create a tRPC client.
 * @see https://trpc.io/docs/vanilla
 */
export function createTRPCClient({ url = '/trpc', transformer, init, headers } = { url: '/trpc' }) {
    let link;
    if (typeof window === 'undefined') {
        if (!init) {
            throw new Error('Calling createTRPCClient() on the server requires passing a valid LoadEvent argument');
        }
        const { fetch, url: { origin } } = init;
        link = httpBatchLink({ url: `${origin}${url}`, fetch, headers });
    }
    else {
        link = httpBatchLink({ url: `${location.origin}${url}`, headers });
    }
    return createTRPCProxyClient({ transformer, links: [link] });
}
